RGBAComponentImpl.XMLHandler (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.record.impl

## Class RGBAComponentImpl.XMLHandler

- java.lang.Object
- - tv.amwa.maj.io.xml.MasterContentHandler
  - - tv.amwa.maj.io.xml.LocalHandler
    - - tv.amwa.maj.record.impl.RGBAComponentImpl.XMLHandler

- All Implemented Interfaces:
    ContentHandler, AAFSpecifiedClasses
  Enclosing class:
    RGBAComponentImpl

      public static class RGBAComponentImpl.XMLHandler
      extends LocalHandler

  XML parser event handler for converting RGBA component elements into RGBA component values.

  See Also:
    `RGBAComponentImpl.toString()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `dataElementNames`
    `static String` | `elementName`

    - ### Fields inherited from interface tv.amwa.maj.industry.AAFSpecifiedClasses

      `abstractInterchangeable, abstractMeta, existingMeta, interchangeable, meta`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLHandler()`

  - ### Method Summary

    - ### Methods inherited from class tv.amwa.maj.io.xml.LocalHandler

      `areAttributesPresent, characters, endDocument, endElement, getAttributesForElement, getAttributeValueChildElement, getBytesFromStream, getElementData, getElementDataList, getInputStreamForName, getSubElement, getSubElementList, isDataElementList, isDataElementPresent, isSingleDataElement, isSingleSubElement, isSubElementList, isSubElementPresent, startElement`

    - ### Methods inherited from class tv.amwa.maj.io.xml.MasterContentHandler

      `endPrefixMapping, getAttributesForThis, getAttributeValueThisElement, getElementName, getFullElementName, getNamespace, ignorableWhitespace, processingInstruction, registerCoreHandlers, registerHandler, registerHandlersForClass, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.xml.sax.ContentHandler

      `endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

- - ### Field Detail

    - #### elementName

          public static final String elementName

      See Also:
        Constant Field Values

    - #### dataElementNames

          public static final String[] dataElementNames

  - ### Constructor Detail

    - #### XMLHandler

          public XMLHandler()

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.